{% extends "templates/form.njk" %}
{% from "packages/components/radios/macro.njk" import radios %}

{% block formContent %}

  {{ radios({
    id: "where-you-collect-your-prescriptions",
    idPrefix: "where-you-collect-your-prescriptions",
    classes: "",
    name: "prescriptionCountryName",
    fieldset: {
      legend: {
        text: heading,
        classes: "nhsuk-fieldset__legend--l",
        isPageHeading: true
      }
    },
    hint: {
      text: paragraphOne,
      classes: "c-hrt-primary-color"
    },
    errorMessage: errors | getErrorForField('prescriptionCountryName'),
    items: [
      {
        value: "england",
        checked : claim.prescriptionCountryName === "england",
        text: england
      },
      {
        value: "scotland",
        checked : claim.prescriptionCountryName === "scotland",
        text: scotland
      },
      {
        value: "wales",
        checked : claim.prescriptionCountryName === "wales",
        text: wales
      },
      {
        value: "northern-ireland",
        checked : claim.prescriptionCountryName === "northern-ireland",
        text: northernIreland
      }
    ]
  }) }} 
{% endblock %}